
import java.awt.event.*;

public class ButtonActionListener implements ActionListener
{
   private final CircleState cs;
   private final CirclePanel cp;

   public ButtonActionListener(CircleState cs, CirclePanel cp)
   {
      this.cs = cs;
      this.cp = cp;
   }

   @Override public void actionPerformed(ActionEvent e)
   {
     cs.xOld = cs.xNew;  // where the circle is now
     cs.yOld = cs.yNew;
     cs.xNew = 300;      // where the circle needs to be
     cs.yNew = 300;
     cp.repaint();
   }
}
